SALMID(1)

NAME
SalmID - rapid Kmer based Salmonella identifier from sequence data

SYNOPSIS
SalmID [-h] [-v] [-i your_fastqgz] [-e file_extension] [-d directory] [-r percentage, coverage or taxonomy] [-m quick or thorough]

DESCRIPTION
SalmID enables rapid confirmation of Salmonella spp. and subspp. from sequence data. This is done by checking taxonomic ID of single isolate samples. Currently only IDs Salmonella species and subspecies, and some common contaminants (Listeria, Escherichia).

OPTIONS

-h, --help
    show this help message and exit

-v, --version
    show program's version number and exit

-i your_fastqgz, --input_file your_fastqgz
    Single fastq.gz file input, include path to file if file is not in same directory

-e file_extension, --extension file_extension
    File extension, if specified without "--input_dir", SalmID will attempt to ID all files with this extension in current directory, otherwise files in input directory

-d directory, --input_dir directory
    Directory which contains data for identification, when not specified files in current directory will be analyzed.

-r percentage, coverage or taxonomy, --report percentage, coverage or taxonomy
    Report either percentage ("percentage") of clade specific kmers recovered, average kmer-coverage ("cov"), or taxonomy (taxonomic species ID, plus observed mean k-mer coverages and expected coverage).

-m quick or thorough, --mode quick or thorough
    Quick [quick] or thorough [thorough] mode

AUTHOR
This manpage was written by Andreas Tille for the Debian distribution and can be used for any other usage of the program.